> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Thông tin khớp lệnh

> Lấy thông tin khớp lệnh của tiểu khoản.



## OpenAPI

````yaml /vi/openapi/tcbs.v1.openapi.yaml get /aion/v1/accounts/{accountNo}/matching-details
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
tags:
  - name: authentication
    description: Xác thực và cấp token truy cập.
    x-group: Xác thực
  - name: account
    description: Thông tin tài khoản, tài sản và hạn mức.
    x-group: Tài khoản
  - name: market-data
    description: Dữ liệu chứng khoán và phái sinh.
    x-group: Dữ liệu thị trường
  - name: cash
    description: Giao dịch và thông tin tiền.
    x-group: Tiền
  - name: stock-orders
    description: Đặt, sửa, hủy và tra cứu lệnh cổ phiếu.
    x-group: Lệnh cổ phiếu
  - name: derivative-orders
    description: Đặt, sửa, hủy và tra cứu lệnh phái sinh.
    x-group: Lệnh phái sinh
paths:
  /aion/v1/accounts/{accountNo}/matching-details:
    get:
      tags:
        - stock-orders
      summary: Thông tin khớp lệnh
      description: Lấy thông tin khớp lệnh của tiểu khoản.
      operationId: getAionAccountsAccountNoMatchingDetails
      parameters:
        - name: accountNo
          in: path
          required: true
          description: Số tiểu khoản.
          schema:
            type: string
      responses:
        '200':
          description: Phản hồi thành công
          content:
            application/json:
              schema:
                type: object
                properties:
                  totalCount:
                    type: integer
                    format: int64
                    description: Tổng số bản ghi trả ra.
                  pageSize:
                    type: integer
                    format: int64
                    description: Số lượng phần tử 1 trang.
                  pageIndex:
                    type: integer
                    format: int64
                    description: Mục lục trang.
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        orderId:
                          type: string
                          description: Số hiệu lệnh.
                        side:
                          type: string
                          description: 'Chiều lệnh: S = Bán, B = Mua.'
                        symbol:
                          type: string
                          description: Mã chứng khoán.
                        quoteQtty:
                          type: number
                          format: double
                          description: Khối lượng đặt.
                        quotePrice:
                          type: number
                          format: double
                          description: Giá đặt.
                        tradeId:
                          type: string
                          description: Id lệnh khớp.
                        qtty:
                          type: number
                          format: double
                          description: Khối lượng khớp.
                        price:
                          type: number
                          format: double
                          description: Giá khớp.
                        timeExec:
                          type: string
                          description: Thời điểm khớp.
              example:
                totalCount: 25
                pageSize: 25
                pageIndex: 0
                data:
                  - orderId: '9202407170000280679'
                    side: B
                    symbol: FPT
                    quoteQtty: 800
                    quotePrice: 54000
                    tradeId: '202409160000220391'
                    qtty: 200
                    price: 53000
                    timeExec: '2024-09-16T17:05:20'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    Unauthorized:
      description: Không xác thực — thiếu, sai hoặc không hợp lệ Bearer token.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.